Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
Class ObservableList

Field Summary
`List` | `delegate`
`PropertyChangeSupport` | `pcs`
`Closure` | `test`

Constructor Summary
`ObservableList()`
`ObservableList(List delegate)`
`ObservableList(Closure test)`
`ObservableList(List delegate, Closure test)`

Method Summary
`void` | `add(int index, Object element)`
`boolean` | `add(Object o)`
`boolean` | `addAll(Collection c)`
`boolean` | `addAll(int index, Collection c)`
`void` | `clear()`
`boolean` | `contains(Object o)`
`boolean` | `containsAll(Collection c)`
`boolean` | `equals(Object o)`
`Object` | `get(int index)`
`int` | `hashCode()`
`int` | `indexOf(Object o)`
`boolean` | `isEmpty()`
`Iterator` | `iterator()`
`int` | `lastIndexOf(Object o)`
`ListIterator` | `listIterator()`
`ListIterator` | `listIterator(int index)`
`Object` | `remove(int index)`
`boolean` | `remove(Object o)`
`boolean` | `removeAll(Collection c)`
`boolean` | `retainAll(Collection c)`
`Object` | `set(int index, Object element)`
`int` | `size()`
`List` | `subList(int fromIndex, int toIndex)`
`def` | `toArray()`
`def` | `toArray(def a)`

Constructor Detail

### ObservableList

    public ObservableList()

### ObservableList

    public ObservableList(List delegate)

### ObservableList

    public ObservableList(Closure test)

### ObservableList

    public ObservableList(List delegate, Closure test)

Method Detail

### add

    public void add(int index, Object element)

### add

    public boolean add(Object o)

### addAll

    public boolean addAll(Collection c)

### addAll

    public boolean addAll(int index, Collection c)

### clear

    public void clear()

### contains

    public boolean contains(Object o)

### containsAll

    public boolean containsAll(Collection c)

### equals

    public boolean equals(Object o)

### get

    public Object get(int index)

### hashCode

    public int hashCode()

### indexOf

    public int indexOf(Object o)

### isEmpty

    public boolean isEmpty()

### iterator

    public Iterator iterator()

### lastIndexOf

    public int lastIndexOf(Object o)

### listIterator

    public ListIterator listIterator()

### listIterator

    public ListIterator listIterator(int index)

### remove

    public Object remove(int index)

### remove

    public boolean remove(Object o)

### removeAll

    public boolean removeAll(Collection c)

### retainAll

    public boolean retainAll(Collection c)

### set

    public Object set(int index, Object element)

### size

    public int size()

### subList

    public List subList(int fromIndex, int toIndex)

### toArray

    public def toArray()

### toArray

    public def toArray(def a)